summaryrefslogtreecommitdiffstats
path: root/audio/sooperlooper/sooperlooper.SlackBuild
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2020-11-04 02:24:42 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-07 14:02:34 +0700
commit081bf215455fb6e2985a26785d81f60ac91e4c10 (patch)
tree464ffd65edd281913e3240703594fb5a82b0be9c /audio/sooperlooper/sooperlooper.SlackBuild
parentf9b900807530cc33b3bfc9ed138e2edca9fa9ef6 (diff)
downloadslackbuilds-081bf215455fb6e2985a26785d81f60ac91e4c10.tar.gz
slackbuilds-081bf215455fb6e2985a26785d81f60ac91e4c10.tar.xz
audio/sooperlooper: Updated for version 1.7.6.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/sooperlooper/sooperlooper.SlackBuild')
-rw-r--r--audio/sooperlooper/sooperlooper.SlackBuild26
1 files changed, 16 insertions, 10 deletions
diff --git a/audio/sooperlooper/sooperlooper.SlackBuild b/audio/sooperlooper/sooperlooper.SlackBuild
index 6878533da9..8030542ea8 100644
--- a/audio/sooperlooper/sooperlooper.SlackBuild
+++ b/audio/sooperlooper/sooperlooper.SlackBuild
@@ -6,6 +6,10 @@
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20201104 bkw: update for v1.7.6. The wxPython (wx 2.8) build is
+# currently broken. Temporarily disabled, but I dunno if upstream
+# will fix it (may not care about 2.8 any longer).
+
# 20201028 bkw: update for v1.7.4. patches/* removed, no longer needed.
# 20170622 bkw: fix build on -current, BUILD=3
# 20150514 bkw: update for v1.7.3
@@ -17,7 +21,7 @@
# - add option to build against wxGTK3
PRGNAM=sooperlooper
-VERSION=${VERSION:-1.7.4}
+VERSION=${VERSION:-1.7.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -51,12 +55,14 @@ fi
set -e
# We can't trust the /usr/bin/wx-config symlink.
-# Find the correct wx-config, if it exists. User can override by setting WXVER
-# in the env, or by setting WXCONFIG to the full path.
-WXVER=${WXVER:-2.8}
-WXMAYBE="$( ls /usr/lib$LIBDIRSUFFIX/wx/config/*-$WXVER 2>/dev/null | head -1 )"
-WXCONFIG=${WXCONFIG:-$WXMAYBE}
-WXCONFIG=${WXCONFIG:-/usr/bin/wx-config}
+# Find the correct wx-config, if it exists.
+# 20201104 bkw: in 1.7.6, the 2.8 build is broken, it's 3.0 or nothing.
+WXVER=3.0
+WXCONFIG="$( ls /usr/lib$LIBDIRSUFFIX/wx/config/*-$WXVER 2>/dev/null | head -1 )"
+if [ ! -x "$WXCONFIG" ]; then
+ echo "*** $0: can't find wxGTK 3.0.x installation (2.8 not supported)" 1>&2
+ exit 1
+fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -85,9 +91,9 @@ CPPFLAGS="-std=c++11" \
make
make install DESTDIR=$PKG
-# 'make install-strip' in 1.7.0 fails to install the slconsole and slregister
-# binaries. Rather than plumb the murky depths of autotools, I'll just
-# do it manually.
+# 'make install-strip' in 1.7.0 fails to strip the slconsole
+# and slregister binaries. Rather than plumb the murky depths of
+# autotools, I'll just do it manually.
strip $PKG/usr/bin/*
# Man pages, desktop, icon borrowed from Debian (thanks!)